local ____lualib = require("lualib_bundle")
local __TS__Class = ____lualib.__TS__Class
local __TS__ClassExtends = ____lualib.__TS__ClassExtends
local ____exports = {}
local ____isaac_2Dtypescript_2Ddefinitions = require("isaac-typescript-definitions")
local ModCallback = ____isaac_2Dtypescript_2Ddefinitions.ModCallback
local ____shouldFire = require("shouldFire")
local shouldFireKnife = ____shouldFire.shouldFireKnife
local ____CustomCallback = require("classes.private.CustomCallback")
local CustomCallback = ____CustomCallback.CustomCallback
____exports.PostKnifeInitFilter = __TS__Class()
local PostKnifeInitFilter = ____exports.PostKnifeInitFilter
PostKnifeInitFilter.name = "PostKnifeInitFilter"
__TS__ClassExtends(PostKnifeInitFilter, CustomCallback)
function PostKnifeInitFilter.prototype.____constructor(self)
    CustomCallback.prototype.____constructor(self)
    self.shouldFire = shouldFireKnife
    self.postKnifeInit = function(____, knife)
        self:fire(knife)
    end
    self.callbacksUsed = {{ModCallback.POST_KNIFE_INIT, self.postKnifeInit}}
end
return ____exports
